> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apireportqueryviews permissions



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/ReportQuery/Views/{reportDefinitionId}/{view}/permissions:
    get:
      tags:
        - ReportQuery
      operationId: GetReportViewsPermissions
      parameters:
        - explode: false
          in: path
          name: reportDefinitionId
          required: true
          schema:
            type: string
          style: simple
        - explode: false
          in: path
          name: view
          required: true
          schema:
            type: string
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetReportViewPermissionsResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    GetReportViewPermissionsResponse:
      example:
        permissions:
          - resource: resource
            name: name
            action: action
            user: user
            group: group
          - resource: resource
            name: name
            action: action
            user: user
            group: group
        is_success: true
        error_messages:
          - error_messages
          - error_messages
      properties:
        permissions:
          items:
            $ref: '#/components/schemas/Policy'
          nullable: true
          type: array
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Core.Mediators.ReportView.GetReportViewPermissionsResponse,
              Derivitec.Core.Mediators
      required:
        - $type
      type: object
    Policy:
      example:
        resource: resource
        name: name
        action: action
        user: user
        group: group
      properties:
        name:
          nullable: true
          type: string
        user:
          nullable: true
          type: string
        action:
          nullable: true
          type: string
        resource:
          nullable: true
          type: string
        group:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.ReportQuery.Policy, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````